
local myMod = ...

myMod:register({
	DataType = "BUILDING",
	Id = "FOUNTAIN",
	Name = "MY_MOD_FOUNTAIN",
	Description = "MY_MOD_FOUNTAIN",
	BuildingType = "DECORATION",
	BuildingPartList = { "FOUNTAIN_PART" },
	--VillagerRequired = { Status = "NEWCOMER", Quantity = 9 }
})

myMod:register({
	DataType = "BUILDING_PART",
	Id = "FOUNTAIN_PART",
	Description = "",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_FOUNTAIN"
	},
	BuildingZone = { 5, 5 },
	ConstructionVisual = "PREFAB_FOUNTAIN_CONSTRUCTION",
	Cost = {
		UpkeepCost = {
			{ Resource = "GOLD", Quantity = 5 }
		},
		RessourcesNeeded = {
			{ Resource = "WOOD", Quantity = 5 },
			{ Resource = "STONE", Quantity = 10 }
		}
	}
})