
local myMod = foundation.createMod({
	Name = "My First Mod",
	Author = "Leo",
	Description = "Best Mod Ever",
	Version = "1.0.0"
});

--myMod:log("Hello World!")
--myMod:logWarning("This is a warning!")
--myMod:logError("This is an error!")
--myMod:msgBox("Hello there!")

myMod:registerLanguage({
	Code = "tlh",
	Name = "Klingon"
})

myMod:registerAssetId("models/fountain.fbx/Prefab/Fountain", "PREFAB_FOUNTAIN")
myMod:registerAssetId("models/fountain.fbx/Prefab/Fountain_Construction_Steps", "PREFAB_FOUNTAIN_CONSTRUCTION")
myMod:registerAssetId("icons/asteroid rock.png", "ICON_ASTEROID_ROCK")

myMod:dofile("buildings.lua")
myMod:dofile("events.lua")
myMod:dofile("balancing.lua")

--
myMod:register({
	DataType = "RESOURCE",
	Id = "ASTEROID_ROCK",
	ResourceName = "ASTEROID_ROCK",
	Icon = "ICON_ASTEROID_ROCK",
	ResourceType = "LUXURY"
})

myMod:register({
	DataType = "GENERAL_DATA",
	Id = "MY_MOD_GENERAL_DATA",
	EventList = { "SUPER_EVENT" },
	MaleNameList = { "Merek", "Carac", "Ulric", "Tybalt", "Borin", "Sadon", "Terrowin", "Rowan", "Forthwind", "Althalos", "Fendrel", "Brom", "Hadrian", "Walter", "John", "Oliver", "Justice", 
		"Roger", "Joseph", "Geoffrey", "William", "Francis", "Simon", "Edmund", "Edgard", "Charles", "Benedict", "Gregory", "Peter", "Henry", "Frederick", "Thomas", "Arthur", "Bryce", "Donald", 
		"Leofrick", "Letholdus", "Lief", "Barda", "Rulf", "Robin", "Gavin", "Terrin", "Terryn", "Ronald", "Jarin", "Cassius", "Leo", "Cedric", "Peyton", "Josef", "Janshai", "Doran", "Asher", "Quinn", 
		"Zane", "Xalvador", "Favian", "Destrian", "Dain", "Berinon", "Tristan", "Gorvenal"
	},
	--FemaleNameList = {},
})
